Bug 193215 - vino-server starts consuming more and more CPU
vino-server starts consuming more and more CPU
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-26 01:23 EDT by Joseba García Etxebarria
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.13.5-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 20:04:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 332011 None None None Never

  None (edit)
Description Joseba García Etxebarria 2006-05-26 01:23:53 EDT
Description of problem:
The load of Vino-server becomes about 90 % of the cpu while idle. It goes as far
as 99% of total cpu usage. A simple "killall -HUP vino-server" reduces cpu load
to 5-10 %. Recompiling and updating to the latest available fc5 srpm (after
removing the "avahi" dependence from the spec file) works flawlessly, and seems
to solve the bug.
This same bug seems to have been issued for Ubuntu here:
https://launchpad.net/distros/ubuntu/+source/vino/+bug/31037

Version: vino-2.10.0-4.1.i386.rpm (latest available through yum)
Comment 1 Russell Odom 2006-11-06 17:06:09 EST
This appears to be fixed upstream: http://bugzilla.gnome.org/show_bug.cgi?id=332011

I've experienced this bug just now, with vino-2.13.5-4.1 on x86_64 FC6. Any
chance of an updated release?
Comment 2 Matthias Clasen 2006-12-03 14:38:06 EST
My bad. I put the patch in cvs mid-October, but forgot to push an update...
Comment 3 Russell Odom 2006-12-12 03:32:47 EST
I see 2.13.5-6 has been pushed out through updates - is this now fixed?
Comment 4 Christian Iseli 2007-01-22 06:19:29 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Russell Odom 2007-01-22 13:21:55 EST
The issue also affected FC6 and I presume FC5 too. I have not seen a recurrence
since 2.13.5-6 was released, so although there's been no response to my comment
3  I think it's safe to close now (I don't have permission to do this though).
Comment 6 Carl Worth 2007-01-22 20:04:06 EST
Thanks. Based on the above, marking as fixed as of 2.13.5-6.

-Carl

Note You need to log in before you can comment on or make changes to this bug.